### Method

# Gio FileInfo set_attribute_stringv

#### Declaration

    void
    g_file_info_set_attribute_stringv (
      GFileInfo* info,
      const char* attribute,
      char** attr_value
    )

#### Description

Sets the `attribute` to contain the given `attr_value`, if possible.

Sinze: 2.22.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`attr_value`

  Type: An array of `utf8`

  A `NULL` terminated array of UTF-8 strings.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.